%define pkgname xfwp
%define xfwp_version 1.0.1

Summary: X.Org X11 X firewall proxy
Name: xorg-x11-%{pkgname}
# NOTE: The package version should always be the upstream xfwp tarball version.
Version: %{xfwp_version}
Release: 8%{?dist}
License: MIT
Group: User Interface/X
URL: http://www.x.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0: ftp://ftp.x.org/pub/individual/app/xfwp-%{xfwp_version}.tar.bz2
Source1: ftp://ftp.x.org/pub/individual/app/proxymngr-1.0.1.tar.bz2
Source2: ftp://ftp.x.org/pub/individual/app/xfindproxy-1.0.1.tar.bz2

Patch0: proxymngr-1.0.1-lbxproxy-die-die-die.patch

# FIXME: Temporary dependencies on autotools stuff for patch workaround.
BuildRequires: automake autoconf libtool

BuildRequires: pkgconfig
BuildRequires: libICE-devel libXt-devel
BuildRequires: xorg-x11-proto-devel
BuildRequires: xorg-x11-util-macros >= 1.0.0

# FIXME: check if still needed for X11R7
Requires(pre): xorg-x11-filesystem >= 0.99.2-3

Provides: xfwp proxymngr xfindproxy

# NOTE: These utilities used to be in XFree86, xorg-x11
Obsoletes: XFree86, xorg-x11

%description
The X firewall proxy (xfwp) is an application layer gateway proxy that
may be run on a network firewall host to forward X traffic  across  the
firewall.

%prep
%setup -q -c %{name}-%{version} -a1 -a2
%patch0 -p0 -b .lbx

%build
# Build everything.
# Have to reautofoo proxymngr until we sort out LBX stuff upstream.
{
   for pkg in * ; do
      pushd $pkg
      case $pkg in
         proxymngr*)
            aclocal ; libtoolize --force ; automake ; autoconf
	    ;;
	 *)
	    ;;
      esac
      %configure
      make
      popd
   done
}

%install
rm -rf $RPM_BUILD_ROOT

# Install everything
{
   for pkg in * ; do
      pushd $pkg
      make install DESTDIR=$RPM_BUILD_ROOT
      popd
   done
}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc
%{_bindir}/proxymngr
%{_bindir}/xfindproxy
%{_bindir}/xfwp
%dir %{_libdir}/X11
%dir %{_libdir}/X11/proxymngr
%{_libdir}/X11/proxymngr/pmconfig
#%dir %{_mandir}/man1x
%{_mandir}/man1/proxymngr.1*
%{_mandir}/man1/xfindproxy.1*
%{_mandir}/man1/xfwp.1*

%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jul 15 2008 Adam Jackson <ajax@redhat.com> 1.0.1-7
- Fix license tag.

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.1-6
- Autorebuild for GCC 4.3

* Tue Aug 21 2007 Adam Jackson <ajax@redhat.com> - 1.0.1-5
- Rebuild for build id

* Tue Jan 30 2007 Adam Jackson <ajax@redhat.com> 1.0.1-4
- Fix man page globs and rebuild for FC7.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - sh: line 0: fg: no job control
- rebuild

* Wed Jun 21 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-3
- Add BuildRequires on autoconf/automake for brew.
- Use "make install DESTDIR=..." instead of makeinstall macro.

* Tue May 30 2006 Adam Jackson <ajackson@redhat.com> 1.0.1-2
- Fix BuildRequires (#191813) and add some LBX avoidance.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> 1.0.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 1.0.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Updated all tarballs to version 1.0.1 from X11R7.0

* Fri Dec 16 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Updated all tarballs to version 1.0.0 from X11R7 RC4.
- Changed manpage dir from man1x to man1 to match RC4 default.

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> 0.99.1-3
- require newer filesystem package (#172610)

* Sun Nov 13 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-2
- Add "Obsoletes: XFree86, xorg-x11", as these utils used to be there in
  in monolithic X packaging.

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-1
- Initial build of xfwp, proxymngr, xfindproxy from X11R7 RC2.
- Added "BuildRequires: lbxproxy" for proxymngr.
